/*
 * Copyright (C) 2025 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.aggregation.transformation;

import java.util.Map;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.aggregation.transformation.AggregationMapping.FieldMapping;
import de.ozgcloud.aggregation.transformation.AggregationMapping.FieldMapping.FieldMappingBuilder;

public class FieldMappingTestFactory {

	public static final String TARGET_PATH = LoremIpsum.getInstance().getWords(1);
	public static final String SOURCE_PATH = LoremIpsum.getInstance().getWords(1);

	public static FieldMapping create() {
		return createBuilder().build();
	}

	public static FieldMappingBuilder createBuilder() {
		return FieldMapping.builder()
				.sourcePath(SOURCE_PATH)
				.targetPath(TARGET_PATH);
	}

	public static Map<String, String> createAsMap() {
		return Map.of(SOURCE_PATH, TARGET_PATH);
	}

}
